source("simpleSIR.R")


step.size=0.1
betaList=list()

fm="" #font-family, should be Roman CM but doesn't currently work with pdfs

#beta is specified as a list of chages in units of "day"
betaList[["pointH"]]=list(beta=c(3/2,2), day=c(0,100)) # start at 3/2 and go to 2 on day 100
betaList[["pointL"]]=list(beta=c(1,2), day=c(0,100))
betaList[["shiftH"]]=list(beta=c(1.4,2.2), day=c(0,100))
betaList[["shiftL"]]=list(beta=c(1.1,1.9), day=c(0,100))
betaList[["scaleH"]]=list(beta=c(1.5,2.5), day=c(0,100))
betaList[["scaleL"]]=list(beta=c(1.5, 2.5)*.7, day=c(0,100))
betaList[["sineH"]]=list(day=1:1000, beta=(-(sin((1:1000)/20)+1)/2)*1+2.1) #continuously variable
betaList[["sineL"]]=list(day=1:1000, beta=(-(sin((1:1000)/20)+1)/2)*1+1.9)

pdfw=10.4
pdfh=7.8
for (type in c("point", "shift", "scale","sine")){
  pl=list()
  for (l in c("H","L")){
    n=paste0(type,l)
  out=TimeVariableSIR(betaList[[n]], alpha = 1, nstep = 1000/step.size, step.size = step.size)
  pl[[l]]=plotTimeVariableSIR(out,max.step = 200/step.size)+theme(text=element_text(size=16, family=fm))
  print(ggarrange(plotlist = pl, common.legend = T, ncol=2, labels = c("A","B"), font.label = list(size=24, family=fm)))
  
  dev.copy2pdf(file=paste0("Mono", CapStr(type), ".pdf"), width=pdfw, height=pdfh)

  }
}
  
  

